SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Typedefs
InternalPacket.h File Reference

[Internal] A class which stores a user message, and all information associated with sending and receiving that message. More...

`#include "PacketPriority.h"`
`#include "types.h"`
`#include "memoryoverride.h"`
`#include "defines.h"`
`#include "NativeTypes.h"`
`#include "CCRakNetSlidingWindow.h"`

Go to the source code of this file.

## Classes

struct | SLNet::InternalPacketFixedSizeTransmissionHeader
struct | SLNet::InternalPacketRefCountedData
| Used in InternalPacket when pointing to sharedDataBlock, rather than allocating itself. More...
struct | SLNet::InternalPacket

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Typedefs

typedef uint16_t | SLNet::SplitPacketIdType
typedef uint32_t | SLNet::SplitPacketIndexType
typedef uint24_t | SLNet::MessageNumberType
typedef MessageNumberType | SLNet::OrderingIndexType
typedef SLNet::TimeUS | SLNet::RemoteSystemTimeType

## Detailed Description

[Internal] A class which stores a user message, and all information associated with sending and receiving that message.

Definition in file InternalPacket.h.

## Class Documentation

struct SLNet::InternalPacketRefCountedData

Used in InternalPacket when pointing to sharedDataBlock, rather than allocating itself.

Definition at line 76 of file InternalPacket.h.

Class Members
unsigned int | refCount |
unsigned char * | sharedDataBlock |